Name:           perl-File-Share
Version:        0.25
Release:        3%{?dist}
Summary:        Extend File::ShareDir to local libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/File-Share/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/File-Share-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::ShareDir) >= 1.03
BuildRequires:  perl(File::Spec)
# Tests only
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(File::ShareDir) >= 1.03

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::ShareDir\\)$

%description
This module is a drop-in replacement for File::ShareDir. It supports the
dist_dir and dist_file functions, except these functions have been enhanced
to understand when the developer's local ./share/ directory should be used.

%prep
%setup -q -n File-Share-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.25-2
- Perl 5.22 rebuild

* Thu Jan 08 2015 Petr Šabata <contyk@redhat.com> 0.25-1
- Initial packaging
